# class Byebug::InterruptCommand

Interrupting execution of current thread.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 25
    def description
      prettify <<-EOD
        i[nterrupt]  Interrupts the program.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 21
    def names
      %w(interrupt)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 15
    def execute
      context = Byebug.thread_context(Thread.main)
      context.interrupt
    end

regexp() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 11
    def regexp
      /^\s*i(?:nterrupt)?\s*$/
    end